package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller/company"
	"hongze/hongze_yb/middleware"
)

func InitCompany(r *gin.Engine) {
	rGroup := r.Group("api/company").Use(middleware.Token())
	{
		rGroup.GET("/getPermissionList", company.GetHomeFiccPermissions)
		rGroup.GET("/permission/tree", company.GetPermissionTree)
		rGroup.GET("/permission/bind", company.GetBindFiccPermissions)
		rGroup.GET("/permission/commodities", company.GetCommoditiesBindFiccPermissions)
	}
}